## ros-melodic-robot-calibration 0.6.4

=== debian/changelog ===
ros-melodic-robot-calibration (0.6.4-1stretch) stretch; urgency=high

  * improve visualization (#91 <https://github.com/mikeferguson/robot_calibration/issues/91>)
    * publish joint states for viz
    * publish point clouds
  * use all features when features are unspecified (#92 <https://github.com/mikeferguson/robot_calibration/issues/92>)
  * only accept organized clouds, fixes #79 <https://github.com/mikeferguson/robot_calibration/issues/79> (#90 <https://github.com/mikeferguson/robot_calibration/issues/90>)
  * catch by reference to silence warnings (#89 <https://github.com/mikeferguson/robot_calibration/issues/89>)
  * fix opencv build issue (#88 <https://github.com/mikeferguson/robot_calibration/issues/88>)
  * update package.xml for noetic (#87 <https://github.com/mikeferguson/robot_calibration/issues/87>)
    orocos-kdl is now a system dependency,
    rosdep key has changed
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 02 Nov 2020 05:00:00 -0000

ros-melodic-robot-calibration (0.6.3-1stretch) stretch; urgency=high

  * kinetic requires C++11, but doesn't specify it (#85 <https://github.com/mikeferguson/robot_calibration/issues/85>)
  * note topics being published/subscribed
  * some fixes for magnetometer cal (#84 <https://github.com/mikeferguson/robot_calibration/issues/84>)
    * the spinOnce was needed
    * exit properly on CTRL-C
  * add magnetometer calibration node (#83 <https://github.com/mikeferguson/robot_calibration/issues/83>)
  * remove readme, top level one has docs
  * add travis and code coverage (#80 <https://github.com/mikeferguson/robot_calibration/issues/80>)
  * export feature_finders lib
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 27 Apr 2020 04:00:00 -0000

ros-melodic-robot-calibration (0.6.2-1stretch) stretch; urgency=high

  * Merge pull request #75 <https://github.com/mikeferguson/robot_calibration/issues/75> from mikeferguson/mute_warnings
    fix warnings about build type
  * fix warnings about build type
  * Merge pull request #74 <https://github.com/mikeferguson/robot_calibration/issues/74> from mikeferguson/fix_tests
    fix tests broken by #71 <https://github.com/mikeferguson/robot_calibration/issues/71>
  * fix tests broken by #71 <https://github.com/mikeferguson/robot_calibration/issues/71>
  * Merge pull request #71 <https://github.com/mikeferguson/robot_calibration/issues/71> from Naoki-Hiraoka/fix-calculation-of-frame_offset
    Fix calculation of frame offset
  * Merge pull request #73 <https://github.com/mikeferguson/robot_calibration/issues/73> from mikeferguson/multi-step
    Support multi-step optimization
  * Merge pull request #68 <https://github.com/mikeferguson/robot_calibration/issues/68> from d-walsh/bugfix/isnan_error
    Fixed isnan() error on Kinetic
  * refactor mutli-step support
  * enable multi-step optimization
  * fix frame calculation in getChainFK()
  * fix calculation of frame_offset
  * Fixed isnan() error on Kinetic
  * Contributors: David Walsh, Michael Ferguson, Naoki-Hiraoka

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 14 Jan 2020 05:00:00 -0000

ros-melodic-robot-calibration (0.6.1-1stretch) stretch; urgency=high

  * Merge pull request #70 <https://github.com/mikeferguson/robot_calibration/issues/70> from Naoki-Hiraoka/enable-to-change-driver-name
    Enable to change driver name
  * Merge pull request #69 <https://github.com/mikeferguson/robot_calibration/issues/69> from Naoki-Hiraoka/allow-multiple-checkerboards
    Use multiple checkerboards
  * enable to change driver name
  * allow multiple checkerboards
  * Merge pull request #56 <https://github.com/mikeferguson/robot_calibration/issues/56> from mikeferguson/coverage
    add code coverage testing
  * update code_coverage to be test_depend
  * add code coverage testing
  * Contributors: Michael Ferguson, Naoki-Hiraoka

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 19 Nov 2019 05:00:00 -0000

ros-melodic-robot-calibration (0.6.0-1stretch) stretch; urgency=high

  * install our new tools
  * add depend on visualization_msgs
  * Merge pull request #63 <https://github.com/mikeferguson/robot_calibration/issues/63> from mikeferguson/checkerboards_that_work
    Make checkerboards actually generic
  * Merge pull request #62 <https://github.com/mikeferguson/robot_calibration/issues/62> from mikeferguson/chain_manager_state_fix
    make sure we get valid joint_states
  * make sure we get valid joint_states
    * invalid old state, wait for new message
    * fixes #61 <https://github.com/mikeferguson/robot_calibration/issues/61>
  * Merge pull request #59 <https://github.com/mikeferguson/robot_calibration/issues/59> from saurabhbansal90/master
    Update led_finder.cpp
  * Update led_finder.cpp
  * additional tests on camera_info
  * fix build in kinetic
  * remove entirely unused data functions header
  * fix corrupted license file
  * additional warning not previously flagged
  * buildfarm is really picky, fix another signed comparison
  * fix signed comparison warning in tests
  * add tool to visualize bagfile
  * break out load_bag function for reuse
  * towards working checkerboards
    * unhack the checkerboard finder, so that points are in x/y only
    * add free_frames_initial_values parameter for setting initial
    offset of checkerboard frame
  * Merge pull request #52 <https://github.com/mikeferguson/robot_calibration/issues/52> from mikeferguson/melodic-backport
    backport changes from melodic-devel branch
  * fix OutrageousError
    This has apparently NEVER worked. The name that was being
    provided was the error block name, not the name of the
    parameter to limit.
  * add to_rpy tool
    The YAML file output by calibration represents angles in
    the internal axis-magnitude notation. RPY tends to be
    easier for people to understand and visualize.
  * add some comments to Camera3dModel

